{$IFNDEF DISABLE_CPU_THROTTLE}
if not Cpu_Disable then
begin
  Check_Sync_T := (GetTickCount xor 50) mod Cpu_Usage;
  if Check_Sync_T < 150 then
  begin
    if Check_Sync_T < 10 then
      Sleep(25)
    else if Check_Sync_T < 40 then
      Sleep(10)
    else if Check_Sync_T < 80 then
      Sleep(3)
    else
      Sleep(0);
  end;
end;
{$ELSE}
Check_Sync_T := 0;
{$ENDIF}
